import request from '@/utils/request'

// 查询课堂笔记点赞列表
export function listUserCourseNoteLike(query) {
  return request({
    url: '/course/userCourseNoteLike/list',
    method: 'get',
    params: query
  })
}

// 查询课堂笔记点赞详细
export function getUserCourseNoteLike(id) {
  return request({
    url: '/course/userCourseNoteLike/' + id,
    method: 'get'
  })
}

// 新增课堂笔记点赞
export function addUserCourseNoteLike(data) {
  return request({
    url: '/course/userCourseNoteLike',
    method: 'post',
    data: data
  })
}

// 修改课堂笔记点赞
export function updateUserCourseNoteLike(data) {
  return request({
    url: '/course/userCourseNoteLike',
    method: 'put',
    data: data
  })
}

// 删除课堂笔记点赞
export function delUserCourseNoteLike(id) {
  return request({
    url: '/course/userCourseNoteLike/' + id,
    method: 'delete'
  })
}

// 导出课堂笔记点赞
export function exportUserCourseNoteLike(query) {
  return request({
    url: '/course/userCourseNoteLike/export',
    method: 'get',
    params: query
  })
}